<?php

# ------------------------------------------------
# License and copyright:
#
# This program is designed and copyrighted by
# Aaron Colman on Feb 27, 2004 under the terms 
# of the GPL provided under gpl.txt
#
# The original distribution can be found at:
# http://www.ibasics.biz
#
# I will be updating this software as time goes
# on, if you want the newest version... that's 
# where you need to go.
#
# No warranty of any kind is implied or expressed.
# You're also liable for your own actions with this
# script. If something goes wrong, it's your fault 
# and you get to deal with the consequences. I'm 
# not going to pay for it.
# ------------------------------------------------

include('page.open.php');
include('config.php');

DB_connect();

# Get login / pass information.
$X_login = $_POST['login'];
$X_pass  = $_POST['pword'];

$Responder_ID = MakeSafe($_POST['r_ID']);
$M_ID = MakeSafe($_POST['MSG_ID']);
$action = MakeSafe($_POST['action']);

# Is password encrypted?
# If so, decrypt and makesafe. If not, then just run makesafe.
$P_ENC = MakeSafe($_POST['p_enc']);
if ($P_ENC == 1) { 
    $X_login = MakeSafe(WebDecrypt($X_login, $pass_key1));
    $X_pass  = MakeSafe(WebDecrypt($X_pass,  $pass_key2));
  }
  else { 
    $P_ENC = 0; 
    $X_login = MakeSafe($_POST['login']);
    $X_pass  = MakeSafe($_POST['pword']);
  }

if (is_numeric($Responder_ID)) { }
  else {
   # A small bit of magic to filter out any screwy crackerness of the RespID
   $Responder_ID = NULL;
  }

if (is_numeric($M_ID)) { }
  else {
   # Same with Message ID.
   $M_ID = NULL;
  }

$Is_Auth = User_Auth($X_login, $X_pass);

if ($Is_Auth) {

  # We need to encrypt the login and pass so that they can be 
  # safely stored in hidden fields.
  $ENC_login = WebEncrypt($X_login, $pass_key1);
  $ENC_pass  = WebEncrypt($X_pass,  $pass_key2);

  if ($action == "create") { 

     if (!(ResponderExists($Responder_ID)))
        { die("Responder $Responder_ID does not exist"); }

     print "<br><table align=\"left\" width=\"516\"><tr><td> \n";
     print "<table width=\"100%\" bgcolor=\"#660000\" style=\"border: 1px solid #000000;\"><tr><td> \n";
     print "<p align=\"center\" style=\"font-size: 200%\"> \n";
     print "<font color=\"#FFFFFF\"> \n";
     print "-- Create a New Message -- \n";
     print "</font> \n";
     print "</p> \n";
     print "</td></tr></table> \n";
     print "<table border=\"0\" width=\"100%\" bgcolor=\"#CCCCCC\" style=\"border: 1px solid #000000;\"><tr><td> \n";
     print "<center> \n";
     print "<table><tr><td> \n";
     print "<FORM action=\"messages.php\" method=POST> \n";
     print "<strong>Subject:</strong><br> \n";
     print "<input name=\"subj\" size=61 maxlength=250  \n";
     print "       style=\"border-width: 2px; border-color: #000000;  \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td></tr> \n";
     print "<tr><td> \n";
     print "<br> \n";
     print "<strong>Body: Text Version</strong>  &nbsp; &nbsp; &nbsp; &nbsp; -- <em>[Try copy and paste]</em><br> \n";
     print "<textarea name=\"bodytext\" rows=8 cols=59 \n";
     print "          style=\"border-width: 2px; border-color: #000000; \n";
     print "          font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "          background-color : #000066;\"></textarea> \n";
     print "</td></tr> \n";
     print "<tr><td> \n";
     print "<br> \n";
     print "<strong>Body: HTML Version</strong> &nbsp; &nbsp; &nbsp; &nbsp; -- <em>[Try copy and paste]</em><br> \n";
     print "<textarea name=\"bodyhtml\" rows=8 cols=59 \n";
     print "          style=\"border-width: 2px; border-color: #000000; \n";
     print "          font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "          background-color : #000066;\"></textarea> \n";
     print "</td></tr></table> \n";
     print "</center> \n";
     print "<br> \n";
     print "<hr style = \"border: 0; background-color: #000000; color: #000000; height: 1px; width: 100%;\"> \n";
     print "<table border=\"0\" cellspacing=\"5\"> \n";
     print "<tr><td colspan=\"3\"> \n";
     print "<font color=\"#003300\" size=\"4\"><em>Time to run:</em></font> \n";
     print "</td></tr> \n";
     print "<tr> \n";
     print "<td width=\"60\"><font color=\"#660000\" size=\"4\"> Months:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"months\" size=3 maxlength=20 value=\"0\" \n";
     print "       style=\"border-width: 2px; border-color: #000000;  \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "<td width=\"60\"><font color=\"#660000\" size=\"4\">Weeks:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"weeks\" size=3 maxlength=20 value=\"0\" \n";
     print "       style=\"border-width: 2px; border-color: #000000;  \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "</tr><tr> \n";
     print "<td width=\"60\"><font color=\"#660066\" size=\"4\">Days:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"days\" size=3 maxlength=20 value=\"0\" \n";
     print "       style=\"border-width: 2px; border-color: #000000;  \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "<td width=\"60\"><font color=\"#660066\" size=\"4\">Hours:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"hours\" size=3 maxlength=20 value=\"0\" \n";
     print "       style=\"border-width: 2px; border-color: #000000;  \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "<td width=\"60\"><font color=\"#000066\" size=\"4\">Minutes:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"min\" size=3 maxlength=20 value=\"0\" \n";
     print "       style=\"border-width: 2px; border-color: #000000;  \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "</tr></table> \n";
     print "<hr style = \"border: 0; background-color: #000000; color: #000000; height: 1px; width: 100%;\"> \n";
     print "<table align=\"right\"><tr><td> \n";
     print "<input type=\"hidden\" name=\"action\" value=\"do_create\"> \n";
     print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
     print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
     print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
     print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
     print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/grey-save.gif\" name=\"submit\" value=\"Save\">  \n";
     print "</FORM> \n";
     print "</td></tr></table> \n";
     print "</td></tr></table> \n";

     print "<br> \n";
     print "<FORM action=\"responders.php\" method=POST> \n";
     print "<input type=\"hidden\" name=\"action\" value=\"update\"> \n";
     print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
     print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
     print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
     print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
     print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/green-back.gif\" name=\"submit\" value=\"Return\" alt=\"Return\">  \n";
     print "</FORM> \n";

     print "</td></tr></table> \n";


  }
  elseif ($action == "update") { 

     if (!(ResponderExists($Responder_ID)))
        { die("Responder $Responder_ID does not exist"); }

     GetMsgInfo($M_ID);

     print "<table align=\"left\" width=\"516\"><tr><td> \n";
     print "<table width=\"100%\" bgcolor=\"#660000\" style=\"border: 1px solid #000000;\"><tr><td> \n";
     print "<p align=\"center\" style=\"font-size: 200%\"> \n";
     print "<font color=\"#FFFFFF\"> \n";
     print "-- Change a Message -- \n";
     print "</font> \n";
     print "</p> \n";
     print "</td></tr></table> \n";
     print "<table border=\"0\" width=\"100%\" bgcolor=\"#CCCCCC\" style=\"border: 1px solid #000000;\"><tr><td> \n";
     print "<center> \n";
     print "<table><tr><td> \n";
     print "<FORM action=\"messages.php\" method=POST> \n";
     print "<strong>Subject:</strong><br> \n";
     print "<input name=\"subj\" size=61 maxlength=250 value=\"$DB_MsgSub\" \n";
     print "       style=\"border-width: 2px; border-color: #000000;  \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td></tr> \n";
     print "<tr><td> \n";
     print "<br> \n";
     print "<strong>Body: Text Version</strong>  &nbsp; &nbsp; &nbsp; &nbsp; -- <em>[Try copy and paste]</em><br> \n";
     print "<textarea name=\"bodytext\" rows=8 cols=59 \n";
     print "          style=\"border-width: 2px; border-color: #000000; \n";
     print "          font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "          background-color : #000066;\">$DB_MsgBodyText</textarea> \n";
     print "</td></tr> \n";
     print "<tr><td> \n";
     print "<br> \n";
     print "<strong>Body: HTML Version</strong> &nbsp; &nbsp; &nbsp; &nbsp; -- <em>[Try copy and paste]</em><br> \n";
     print "<textarea name=\"bodyhtml\" rows=8 cols=59 \n";
     print "          style=\"border-width: 2px; border-color: #000000; \n";
     print "          font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "          background-color : #000066;\">$DB_MsgBodyHTML</textarea> \n";
     print "</td></tr></table> \n";
     print "</center> \n";
     print "<br> \n";
     print "<hr style = \"border: 0; background-color: #000000; color: #000000; height: 1px; width: 100%;\"> \n";
     print "<table border=\"0\" cellspacing=\"5\"> \n";
     print "<tr><td colspan=\"3\"> \n";
     print "<font color=\"#003300\" size=\"4\"><em>Time to run:</em></font> \n";
     print "</td></tr> \n";
     print "<tr> \n";
     print "<td width=\"60\"><font color=\"#660000\" size=\"4\">Months:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"months\" size=3 maxlength=20 value=\"$DB_MsgMonths\" \n";
     print "       style=\"border-width: 2px; border-color: #000000; \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";

     # gmp_mod and fmod aren't working on my host for some reason. :-(
     $T_minutes = intval($DB_MsgSeconds / 60);
     $T_seconds = $DB_MsgSeconds - ($T_minutes * 60);
     $T_hours = intval($T_minutes / 60);
     $T_minutes = $T_minutes - ($T_hours * 60);
     $T_days = intval($T_hours / 24);
     $T_hours = $T_hours - ($T_days * 24);
     $T_weeks = intval($T_days / 7);
     $T_days = $T_days - ($T_weeks * 7);
     $T_months = $DB_MsgMonths;
     
     print "<td width=\"60\"><font color=\"#660000\" size=\"4\">Weeks:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"weeks\" size=3 maxlength=20 value=\"$T_weeks\" \n";
     print "       style=\"border-width: 2px; border-color: #000000; \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "</tr><tr> \n";
     print "<td width=\"60\"><font color=\"#660066\" size=\"4\">Days:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"days\" size=3 maxlength=20 value=\"$T_days\" \n";
     print "       style=\"border-width: 2px; border-color: #000000; \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "<td width=\"60\"><font color=\"#660066\" size=\"4\">Hours:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"hours\" size=3 maxlength=20 value=\"$T_hours\" \n";
     print "       style=\"border-width: 2px; border-color: #000000; \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "<td width=\"60\"><font color=\"#000066\" size=\"4\">Minutes:</font></td> \n";
     print "<td width=\"105\"> \n";
     print "<input name=\"min\" size=3 maxlength=20 value=\"$T_minutes\" \n";
     print "       style=\"border-width: 2px; border-color: #000000; \n";
     print "       font-family:arial,helvetica,sans-serif; color: #FFFFFF; \n";
     print "       background-color : #000066;\"> \n";
     print "</td> \n";
     print "</tr></table> \n";
     print "<hr style = \"border: 0; background-color: #000000; color: #000000; height: 1px; width: 100%;\"> \n";
     print "<table align=\"right\"><tr><td> \n";
     
     print "<input type=\"hidden\" name=\"action\" value=\"do_update\"> \n";
     print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
     print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
     print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
     print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
     print "<input type=\"hidden\" name=\"MSG_ID\"  value=\"$M_ID\"> \n";
     print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/grey-save.gif\" name=\"submit\" value=\"Save\">  \n";

     print "</FORM> \n";
     print "</td></tr></table> \n";
     print "</td></tr></table> \n";
     print "<br> \n";
     print "<FORM action=\"responders.php\" method=POST> \n";
     print "<input type=\"hidden\" name=\"action\" value=\"update\"> \n";
     print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
     print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
     print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
     print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
     print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/green-back.gif\" name=\"submit\" value=\"Return\" alt=\"Return\">  \n";
     print "</FORM> \n";
     print "</td></tr></table> \n";

  }

  elseif ($action == "delete") { 

      if (!(ResponderExists($Responder_ID)))
         { die("Responder $Responder_ID does not exist"); }

     GetMsgInfo($M_ID);
 
     # gmp_mod and fmod aren't working on my host for some reason. :-(
     $T_minutes = intval($DB_MsgSeconds / 60);
     $T_seconds = $DB_MsgSeconds - ($T_minutes * 60);
     $T_hours = intval($T_minutes / 60);
     $T_minutes = $T_minutes - ($T_hours * 60);
     $T_days = intval($T_hours / 24);
     $T_hours = $T_hours - ($T_days * 24);
     $T_weeks = intval($T_days / 7);
     $T_days = $T_days - ($T_weeks * 7);
     $T_months = $DB_MsgMonths;

     print "<br> \n";
     print "<font size=5 color=\"#660000\"> \n";
     print "<center>-- Confirmation Required --</center> \n";
     print "</font> <br> \n";
     print "<table width=\"100%\" bgcolor=\"#CCCCCC\" style=\"border: 1px solid #000000;\"> \n";
     print "<tr> \n";
     print "<td valign=\"top\" width=\"150\"><font size=4 color=\"#000066\"><br>Subject:</font></td> \n";
     print "<td valign=\"top\" width=\"350\"><br><font size=4 color=\"#003300\">$DB_MsgSub</font> \n";
     print "<br> \n";
     print "<hr style = \"border: 0; background-color: #000000; color: #000000; height: 1px; width: 100%;\"> \n";
     print "<br> </td>\n";
     print "</tr> \n";

     print "<tr> \n";
     print "<td valign=\"top\" width=\"150\"><font size=4 color=\"#000066\">Body text:</font></td> \n";
     print "<td valign=\"top\" width=\"350\"><font size=4 color=\"#330033\"> ".nl2br($DB_MsgBodyText)." </font> \n";
     print "<br> \n";
     print "<hr style = \"border: 0; background-color: #000000; color: #000000; height: 1px; width: 100%;\"> \n";
     print "<br> </td>\n";
     print "</tr> \n";

     print "<tr> \n";
     print "<td valign=\"top\" width=\"150\"><font size=4 color=\"#000066\">Body HTML:</font></td> \n";
     print "<td valign=\"top\" width=\"350\"><font size=4 color=\"#003300\"> ".nl2br(htmlentities($DB_MsgBodyHTML))." </font> \n";
     print "<br> \n";
     print "<hr style = \"border: 0; background-color: #000000; color: #000000; height: 1px; width: 100%;\"> \n";
     print "<br> </td>\n";
     print "</tr> \n";

     print "<tr> \n";
     print "<td valign=\"top\" width=\"150\"><font size=4 color=\"#000066\">Time to run:</font></td> \n";
     print "<td valign=\"top\" width=\"350\"><font size=4 color=\"#330033\"> \n";
         print "$T_months months, ";
         print "$T_weeks weeks, ";
         print "$T_days days, <br>";
         print "$T_hours hours, ";
         print "$T_minutes minutes. \n";
     print "</font></td> \n";
     print "</tr> \n";
     print "</table> \n";
     print "<br> \n";
     print "<table cellspacing=\"10\" border=0 width=\"100%\"> \n";
     print "<tr><td colspan=\"2\">\n";
     print "<br> \n";
     print "<font size=4 color=\"#660000\"> \n";
     print "<center>Delete this message?</center>\n";
     print "</font> \n";
     print "</td></tr>\n";
     print "<tr> \n";
     print "<td> \n";
     print "<FORM action=\"messages.php\" method=POST> \n";
     print "<input type=\"hidden\" name=\"action\" value=\"do_delete\"> \n";
     print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
     print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
     print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
     print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
     print "<input type=\"hidden\" name=\"MSG_ID\"  value=\"$M_ID\"> \n";
     print "<p align=\"right\"> \n";
     print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/lil-white-yes.gif\" name=\"Delete\" value=\"Delete\"> \n";
     print "</p> \n";
     print "</FORM> \n";
     print "</td> \n";
     print "<td> \n";
     print "<FORM action=\"responders.php\" method=POST> \n";
     print "<input type=\"hidden\" name=\"action\" value=\"update\"> \n";
     print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
     print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
     print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
     print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
     print "<p align=\"left\"> \n";
     print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/lil-white-no.gif\" name=\"Back\" value=\"Back\"> \n";
     print "</p> \n";
     print "</FORM> \n";
     print "</td> \n";
     print "</tr> \n";
     print "</table> \n";
  }

  elseif ($action == "do_create") {
     
      if (!(ResponderExists($Responder_ID)))
         { die("Responder $Responder_ID does not exist"); }

      $P_subj = MakeSafe($_POST['subj']);
      $P_bodytext = MakeSafe($_POST['bodytext']);
      $P_bodyhtml = MakeSafe($_POST['bodyhtml']);
      $P_months = MakeSafe($_POST['months']);
      $P_weeks = MakeSafe($_POST['weeks']);
      $P_days = MakeSafe($_POST['days']);
      $P_hours = MakeSafe($_POST['hours']);
      $P_min = MakeSafe($_POST['min']);

      if (!(is_numeric($P_months))) { $P_months = 0; }
      if (!(is_numeric($P_weeks)))  { $P_weeks = 0; }
      if (!(is_numeric($P_days)))   { $P_days = 0; }
      if (!(is_numeric($P_hours)))  { $P_hours = 0; }
      if (!(is_numeric($P_min)))    { $P_min = 0; }

      GetResponderInfo();

      $TempDay_Seconds =  (($P_weeks * 7) + $P_days) * 86400;
      $TempHour_Seconds = 3600 * $P_hours;
      $TempMin_Seconds  = 60 * $P_min;

      $Time_stamp = $TempDay_Seconds + $TempHour_Seconds + $TempMin_Seconds;

      # Add row to database
      $query = "INSERT INTO InfResp_messages (Subject, SecMinHoursDays, Months, BodyText, BodyHTML)
                VALUES('$P_subj', '$Time_stamp', '$P_months', '$P_bodytext',  '$P_bodyhtml')";
      $DB_result = mysql_query($query)
           or die("Invalid query: " . mysql_error());

      # Clear $M_ID. If the query was successful then get the new $M_ID and
      # and attach it to the end of the Responder's message list.
      $M_ID = 0;
      if (mysql_affected_rows()>0) { 
         $M_ID=mysql_insert_id();
         $Update_MsgList = $DB_MsgList.",".$M_ID;
         $Update_MsgList = trim($Update_MsgList, ",");
      }

      # Update Responder MsgList with new list string.
      $query = "UPDATE InfResp_responders 
                SET MsgList = '$Update_MsgList'
                WHERE ResponderID = '$Responder_ID'";
      $DB_result = mysql_query($query)
                or die("Invalid query: " . mysql_error());

      print "<H3 style=\"color : #003300\">Message added!</H3> \n";
      print "<FORM action=\"responders.php\" method=POST> \n";
      print "<input type=\"hidden\" name=\"action\" value=\"update\"> \n";
      print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
      print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
      print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
      print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
      print "<font size=4 color=\"#660000\">Return to list. <br></font> \n";
      print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/green-back.gif\" name=\"submit\" value=\"Return\" alt=\"Return\">  \n";
      print "</FORM> \n";

  }
  elseif ($action == "do_update") { 

      if (!(ResponderExists($Responder_ID)))
         { die("Responder $Responder_ID does not exist"); }

      $P_subj = MakeSafe($_POST['subj']);
      $P_bodytext = MakeSafe($_POST['bodytext']);
      $P_bodyhtml = MakeSemiSafe($_POST['bodyhtml']);
      $P_months = MakeSafe($_POST['months']);
      $P_weeks = MakeSafe($_POST['weeks']);
      $P_days = MakeSafe($_POST['days']);
      $P_hours = MakeSafe($_POST['hours']);
      $P_min = MakeSafe($_POST['min']);

      if (!(is_numeric($P_months))) { $P_months = 0; }
      if (!(is_numeric($P_weeks)))  { $P_weeks = 0; }
      if (!(is_numeric($P_days)))   { $P_days = 0; }
      if (!(is_numeric($P_hours)))  { $P_hours = 0; }
      if (!(is_numeric($P_min)))    { $P_min = 0; }

      $TempDay_Seconds =  (($P_weeks * 7) + $P_days) * 86400;
      $TempHour_Seconds = 3600 * $P_hours;
      $TempMin_Seconds  = 60 * $P_min;

      $Time_stamp = $TempDay_Seconds + $TempHour_Seconds + $TempMin_Seconds;

      #print "M_ID: $M_ID <br>\n";
      #print "P_subj: $P_subj <br>\n";
      #print "P_bodytext: $P_bodytext <br>\n";
      #print "P_bodyhtml: $P_bodyhtml <br>\n";
      #print "P_months: $P_months <br>\n";
      #print "P_weeks: $P_weeks <br>\n";
      #print "P_days: $P_days <br>\n";
      #print "P_hours: $P_hours <br>\n";
      #print "P_min: $P_min <br>\n";
      #print "Time: $Time_stamp <br>\n";

      # subject, body text, body html, timestamp, months

      $query = "UPDATE InfResp_messages
                SET Subject = '$P_subj',
                    SecMinHoursDays = '$Time_stamp',
                    Months = '$P_months',
                    BodyText = '$P_bodytext',
                    BodyHTML = '$P_bodyhtml'
                WHERE MsgID = '$M_ID'";
    
      $DB_result = mysql_query($query)
           or die("Invalid query: " . mysql_error());

      print "<H3 style=\"color : #003300\">Message Saved!</H3> \n";
      print "<FORM action=\"responders.php\" method=POST> \n";
      print "<input type=\"hidden\" name=\"action\" value=\"update\"> \n";
      print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
      print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
      print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
      print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
      print "<font size=4 color=\"#660000\">Return to list. <br></font> \n";
      print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/green-back.gif\" name=\"submit\" value=\"Return\" alt=\"Return\">  \n";
      print "</FORM> \n";
  }
  elseif ($action == "do_delete") {

      if (!(ResponderExists($Responder_ID)))
         { die("Responder $Responder_ID does not exist"); }

      GetResponderInfo();

      $NewList = "";
      $MsgList_Array=explode(',',$DB_MsgList);
      $Max_Index = sizeof($MsgList_Array);
        for ($i=0; $i<=$Max_Index-1; $i++) {
            $Temp_ID = trim($MsgList_Array[$i]);
            if ($Temp_ID != $M_ID) {
                $NewList = $NewList.",".$Temp_ID;
            }
        }
      $NewList = trim($NewList, ",");

      $query = "DELETE FROM InfResp_messages WHERE MsgID = '$M_ID'";
      $DB_result = mysql_query($query)
           or die("Invalid query: " . mysql_error());

      $query = "UPDATE InfResp_responders SET MsgList = '$NewList' WHERE ResponderID = '$Responder_ID'";
      $DB_result = mysql_query($query)
           or die("Invalid query: " . mysql_error());

      print "<H3 style=\"color : #003300\">Message deleted!</H3> \n";
      print "<FORM action=\"responders.php\" method=POST> \n";
      print "<input type=\"hidden\" name=\"action\" value=\"update\"> \n";
      print "<input type=\"hidden\" name=\"login\"  value=\"$ENC_login\"> \n";
      print "<input type=\"hidden\" name=\"pword\"  value=\"$ENC_pass\"> \n";
      print "<input type=\"hidden\" name=\"p_enc\"  value=\"1\"> \n";
      print "<input type=\"hidden\" name=\"r_ID\"   value=\"$Responder_ID\"> \n";
      print "<font size=4 color=\"#660000\">Return to list. <br></font> \n";
      print "<input type=\"image\" src=\"$siteURL$ResponderDirectory/images/green-back.gif\" name=\"submit\" value=\"Return\" alt=\"Return\">  \n";
      print "</FORM> \n";
  }
  else {
     print "<br> \n";
     print "I'm sorry, I didn't understand your 'action' variable. Please try again. <br> \n";
  }
}
else  {
     print "<br> \n";
     print "<strong>Login or Password incorrect.</strong><br>\n";
}

print "<center><br><br><br><br><br><br>\n";
print "<A HREF=\"http://www.ibasics.biz\"><img src=\"$siteURL$ResponderDirectory/images/powered-by.gif\" alt=\"Powered by Infinite Responder!\" height=\"50\" width=\"100\" border=\"0\"></A><br>\n";
print "<br></center> \n";

DB_disconnect();

include('page.close.php');
?>